#Output Name
NAME=ogle_gui_goggles

# Convert to Platform specific names
#----------------------------------------------------------
LIBNAME="$(LIBPREFIX)$(NAME)$(LIBEXT)" # libXXX.a on Linux, XXX.lib on Windows
BINNAME="$(NAME)$(BINEXT)"             # XXX on Linux, X.exe on Windows
RESWRAP=reswrap


#----------------------------------------------------------
ICONS = \
  ../icons/next.gif \
  ../icons/pause.gif \
  ../icons/prev.gif \
  ../icons/right.gif \
  ../icons/skipnext.gif \
  ../icons/skipprev.gif \
  ../icons/exit.gif \
  ../icons/bookset.gif \
  ../icons/bookdel.gif \
  ../icons/gohome.png \
  ../icons/goto.png \
  ../icons/bookopen.png \
  ../icons/bookclose.png \
  ../icons/angle.png \
  ../icons/audio.png \
  ../icons/subpicture.png \
  ../icons/dvd_small.png \
  ../icons/clock.png \
  ../icons/frame_image.png \
  ../icons/goggleslogosmall.png \
  ../icons/goggles_default.png \
  ../icons/reload.png

SOURCES = \
	main.cpp \
	dvdapp.cpp \
	dvdwindow.cpp \
	dvdnav.cpp \
	dvdint.cpp \
	dvdpreferences.cpp \
	dvddxr3.cpp \
	dvdxv.cpp \
	dvddesktop.cpp \
  dvdabout.cpp \
	icons.cpp

OBJECTS = \
  main${OBJEXT} \
  dvdapp${OBJEXT} \
  dvdwindow${OBJEXT} \
	dvdnav${OBJEXT} \
	dvdint${OBJEXT} \
	dvdpreferences${OBJEXT} \
	dvddxr3${OBJEXT} \
	dvdxv${OBJEXT} \
	dvddesktop${OBJEXT} \
	dvdabout${OBJEXT} \
	icons${OBJEXT}

#----------------------------------------------------------

$(BINNAME): $(OBJECTS)
	@echo "    Linking $@ ..."
#	@echo "$(LINK) $(LDFLAGS) $(OUTPUTBIN)$(BINNAME) $(OBJECTS) $(LIBS)"
	@$(LINK) $(LDFLAGS) $(OUTPUTBIN)$(BINNAME) $(OBJECTS) $(LIBS)

icons.h: $(ICONS)
	@echo "    Creating icons.h..."
	@$(RESWRAP) -i -k -o ../include/icons.h $(ICONS)

icons.cpp: $(ICONS)
	@echo "    Creating icons.cpp..."
	@$(RESWRAP) -e -k -o icons.cpp $(ICONS)

%$(OBJEXT):	%.cpp
	@echo "    Compiling $< ..."
#	@echo "$(CXX) $(CXXFLAGS) $(DEFS) $(CPPFLAGS) $(OUTPUTOBJ) $@ -c $<"
	@$(CXX) $(CXXFLAGS) $(DEFS) $(CPPFLAGS) $(OUTPUTOBJ) $@ -c $<

main.cpp: icons.h icons.cpp

#----------------------------------------------------------







